<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_GetData extends Controller_Handler
{
    
    public function before() {
        //$this->model = new Model_Teacher_Rating;
        $this->setAccessLevel(self::ACCESS_USER);
        parent::before();
    }

    // Получить список групп по ID курса
    public function action_GetGroups()
    {
		$data['success'] = false;
        $this->post -> rule('GradeID', 'not_empty')
                    -> rule('GradeID', 'digit');
        if($this->post->check()) {
            $data['data'] = Model_Groups::create()->ordByGroups(
                    $this->post->offsetGet('GradeID'), $this->user['FacultyID'] )->asArray();

			$data['success'] = true;
        }
        $this->response->body(json_encode($data));
    }

    // Получить список групп по ID курса
    public function action_GetDisciplinesForGroup()
    {
        $data['success'] = false;
        $this->post -> rule('GroupID', 'not_empty')
            -> rule('GroupID', 'digit');
        if($this->post->check()) {
            $data['data'] = Model_Disciplines::create()->forGroup(
                $this->post->offsetGet('GroupID'))->asArray();

            $data['success'] = true;
        }
        $this->response->body(json_encode($data));
    }

}